import { dialogResize } from './dialogResize'
import { dialogResizeStandard } from './dialogResizeStandard'
import { customDialogResizeImg } from './customDialogResizeImg'
import { dragDialog } from './dragDialog'
import { permBtn } from './permBtn'

export function setupDirectives(app: any) {
  app.directive('dialogResize', dialogResize) //消息框
  app.directive('customDialogResizeImg', customDialogResizeImg) //试卷预览
  app.directive('dialogResizeStandard', dialogResizeStandard) //给分标准弹框使用
  app.directive('dragDialog', dragDialog) //消息框弹框使用
  app.directive('permBtn', permBtn) //权限按钮
}
